<?php

// API routes  for pricelist
Route::prefix('{guard}/pricelist')->group(function () {
    Route::get('pricelist/form/{element}', 'PricelistAPIController@form');
    Route::resource('pricelist', 'PricelistAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pricelists
            Route::prefix('{guard}/pricelist')->group(function () {
                Route::get('pricelist/form/{element}', 'PricelistAPIController@form');
                Route::apiResource('pricelist', 'PricelistAPIController');
            });
            // Public routes for pricelists
            Route::get('pricelist/Pricelist', 'PricelistPublicController@getPricelist');
        }
    );
}

