<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for pricelist in pricelist package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  pricelist module in pricelist package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Pricelist',
    'names'         => 'Pricelists',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Pricelists',
        'sub'   => 'Pricelists',
        'list'  => 'List of pricelists',
        'edit'  => 'Edit pricelist',
        'create'    => 'Create new pricelist'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'type'                => ['Sales','Purchase'],
            'markup'              => ['Markup','Markdown'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'type'                       => 'Please select type',
        'item_rate'                  => 'Please enter item rate',
        'markup'                     => 'Please select markup',
        'percentage'                 => 'Please enter percentage',
        'round_off'                  => 'Please enter round off',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'slug'                       => 'Please enter slug',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'type'                       => 'Type',
        'item_rate'                  => 'Item rate',
        'markup'                     => 'Markup',
        'percentage'                 => 'Percentage',
        'round_off'                  => 'Round off',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'slug'                       => 'Slug',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 2, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 3, 'checked'],
        'item_rate'                  => ['name' => 'Item rate', 'data-column' => 4, 'checked'],
        'markup'                     => ['name' => 'Markup', 'data-column' => 5, 'checked'],
        'percentage'                 => ['name' => 'Percentage', 'data-column' => 6, 'checked'],
        'round_off'                  => ['name' => 'Round off', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Pricelists',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
