<?php

// web routes  for pricelist
Route::prefix('{guard}/pricelist')->group(function () {
    Route::resource('pricelist', 'PricelistResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PricelistResourceController');
            });
            // Public routes for pages
            Route::get('pricelists/', 'PricelistPublicController@index');
            Route::get('pricelists/{slug?}', 'PricelistPublicController@show');
        }
    );
}

