<?php

namespace Inventory\Pricelist\Repositories\Eloquent;

use Inventory\Pricelist\Interfaces\PricelistRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class PricelistRepository extends BaseRepository implements PricelistRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('inventory.pricelist.pricelist.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('inventory.pricelist.pricelist.model.model');
    }
}
